[mpich-commits] [mpich] MPICH primary repository branch, master, updated. v3.1b1-35-gf22b5c9
mysql vizuser
noreply at mpich.org
Thu Sep 12 09:43:26 CDT 2013
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "MPICH primary repository".
The branch, master has been updated
via f22b5c90632dd86d146dd275001459b66304c145 (commit)
via 820da92220919190ddeb30898056d1fb2ba77bda (commit)
from 2aa8872792f9848c0eb2064522dd30b281394a60 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.mpich.org/mpich.git/commitdiff/f22b5c90632dd86d146dd275001459b66304c145
commit f22b5c90632dd86d146dd275001459b66304c145
Author: William Gropp <wgropp at illinois.edu>
Date: Thu Sep 12 16:41:47 2013 +0200
Removed trailing blank
Fixup the f90tof77 failcheck patch to eliminate a stray blank
diff --git a/autogen.sh b/autogen.sh
index 67992e0..2197ce7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -877,7 +877,7 @@ if [ -x ./maint/f77tof90 -a $do_f77tof90 = "yes" ] ; then
if [ ! -d test/mpi/errors/f90/$leafDir ] ; then
mkdir test/mpi/errors/f90/$leafDir
fi
- if maint/f77tof90 $dir test/mpi/errors/f90/$leafDir Makefile.am Makefile.ap ; then
+ if maint/f77tof90 $dir test/mpi/errors/f90/$leafDir Makefile.am Makefile.ap ; then
echo "timestamp" > test/mpi/errors/f90/$leafDir/Makefile.am-stamp
else
echo "failed"
http://git.mpich.org/mpich.git/commitdiff/820da92220919190ddeb30898056d1fb2ba77bda
commit 820da92220919190ddeb30898056d1fb2ba77bda
Author: William Gropp <wgropp at illinois.edu>
Date: Mon Aug 26 22:03:28 2013 -0500
Fail instead of continuing with broken environment
Add a test for success in the executions of the f77tof90 script in autogen.sh
Signed-off-by: Antonio J. Pena <apenya at mcs.anl.gov>
diff --git a/autogen.sh b/autogen.sh
index e30f6fb..67992e0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -863,8 +863,13 @@ if [ -x ./maint/f77tof90 -a $do_f77tof90 = "yes" ] ; then
if [ ! -d test/mpi/f90/$leafDir ] ; then
mkdir test/mpi/f90/$leafDir
fi
- maint/f77tof90 $dir test/mpi/f90/$leafDir Makefile.am Makefile.ap
- echo "timestamp" > test/mpi/f90/$leafDir/Makefile.am-stamp
+ if maint/f77tof90 $dir test/mpi/f90/$leafDir Makefile.am Makefile.ap ; then
+ echo "timestamp" > test/mpi/f90/$leafDir/Makefile.am-stamp
+ else
+ echo "failed"
+ error "maint/f77tof90 $dir failed!"
+ exit 1
+ fi
done
for dir in test/mpi/errors/f77/* ; do
if [ ! -d $dir ] ; then continue ; fi
@@ -872,8 +877,13 @@ if [ -x ./maint/f77tof90 -a $do_f77tof90 = "yes" ] ; then
if [ ! -d test/mpi/errors/f90/$leafDir ] ; then
mkdir test/mpi/errors/f90/$leafDir
fi
- maint/f77tof90 $dir test/mpi/errors/f90/$leafDir Makefile.am Makefile.ap
- echo "timestamp" > test/mpi/errors/f90/$leafDir/Makefile.am-stamp
+ if maint/f77tof90 $dir test/mpi/errors/f90/$leafDir Makefile.am Makefile.ap ; then
+ echo "timestamp" > test/mpi/errors/f90/$leafDir/Makefile.am-stamp
+ else
+ echo "failed"
+ error "maint/f77tof90 $dir failed!"
+ exit 1
+ fi
done
echo "done"
fi
-----------------------------------------------------------------------
Summary of changes:
autogen.sh | 18 ++++++++++++++----
1 files changed, 14 insertions(+), 4 deletions(-)
hooks/post-receive
--
MPICH primary repository
More information about the commits
mailing list